Page MenuHomeFreeBSD

WIP: Add support for certctl(8) to etcupdate and mergemaster
ClosedPublic

Authored by kevans on Oct 3 2018, 4:16 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 19, 1:44 PM
Unknown Object (File)
Sat, Jun 29, 3:51 AM
Unknown Object (File)
Sat, Jun 29, 12:42 AM
Unknown Object (File)
Jun 10 2024, 1:04 PM
Unknown Object (File)
Jun 9 2024, 5:15 PM
Unknown Object (File)
Jun 4 2024, 7:21 PM
Unknown Object (File)
May 21 2024, 4:33 AM
Unknown Object (File)
May 21 2024, 12:46 AM
Subscribers

Details

Summary

This is a first draft, it needs more testing

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I'd strongly advise adding DESTDIR support for certctl...

This revision is now accepted and ready to land.Oct 3 2018, 2:50 PM
In D17389#370970, @imp wrote:

I'd strongly advise adding DESTDIR support for certctl...

Yes, I think I will have to find a way to do that, as freebsd-update requires it as well.

kevans added a reviewer: allanjude.

Pass through DESTDIR to certctl, still needs testing

This revision now requires review to proceed.Feb 20 2019, 2:31 AM

Backpedal, I swapped the -n clauses.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 2 2019, 1:06 AM
This revision was automatically updated to reflect the committed changes.